List Seat balances by Customer
curl --request GET \
--url https://eu.sequencehq.com/api/seat-balances \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/seat-balances"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/seat-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "d82010a6-6835-41f8-9dd3-6f858f617f35",
"sequenceAccountId": "806460ce-050d-45e4-8d22-b403a523b866",
"legalName": "Acme Corp",
"customerAliases": [
"acme"
],
"total": 10,
"changeTimestamp": "2022-06-28T16:47:00Z",
"balances": [
{
"seatType": "admin",
"total": 10,
"changeTimestamp": "2022-06-28T16:47:00Z"
}
]
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.Seat Metrics
List Seat balances by Customer
List Seat balances grouped by Customer and seat type.
GET
/
seat-balances
List Seat balances by Customer
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Query Parameters
Exclude customers with no seats usage. Defaults to false.
Filter seat balances by customer alias
Filter seat balances by customer IDs. Max 25 IDs.
Response
OK
Seat balances
Show child attributes
Show child attributes
Example:
[
{
"id": "d82010a6-6835-41f8-9dd3-6f858f617f35",
"sequenceAccountId": "806460ce-050d-45e4-8d22-b403a523b866",
"legalName": "Acme Corp",
"customerAliases": ["acme"],
"total": 10,
"changeTimestamp": "2022-06-28T16:47:00Z",
"balances": [
{
"seatType": "admin",
"total": 10,
"changeTimestamp": "2022-06-28T16:47:00Z"
}
]
}
]
Results pagination
Show child attributes
Show child attributes
Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
⌘I